﻿using EPiServer.ServiceLocation;
using FotoWare.PlugIns.Episerver;
using FotoWare.PlugIns.Episerver.Interfaces;
using System;

namespace AlloyTemplates.FotoWare
{
    //Example of config implementation for Fotoware.
    //Implement IFotoWareConfig for site specific config
    //uncomment this ServiceConfiguration
    //[ServiceConfiguration(typeof(IFotoWareConfig))]
    public class ExampleFotoWareSite1Config : IFotoWareConfig
    {
        public IFotoWareSettings Settings => new ExampleSiteOneFotoWareSettings();

        public Guid SiteId => new Guid("b1c98de6-afbd-433c-bbde-97f873edbb12");//Change this from Episerver / admin / config / websites
    }
    [ServiceConfiguration(typeof(IFotoWareConfig))]
    public class ExampleFotoWareSite2Config : IFotoWareConfig
    {
        public IFotoWareSettings Settings => new ExampleSiteTwoFotoWareSettings();

        public Guid SiteId => new Guid("06d5b16b-67a6-4e72-b099-4df4e4cac661");//Change this 
    }
}